Passer de P3D 1.4 à 2.0


#1

Bonjour

Voilà, je voudrais savoir s’il m’est possible de passer de la version pro 1.4 à la 2.0 de P3D ?
Et si oui comment?
Merci pour vos réponses.


(Richard) #2

Tout simplement en achetant la version 2 sur le site de LM. Ce n’est pas une mise à jour


#3

Voilà les opérations que j’avais faites l’époque pour passer de la version 1.3 à la version 1.4 (qui demandait une réinstallation complète de P3D). Depuis je vole toujours avec cette version sans soucis. A tester avec la 2.0:

[quote]

Migration réussie :top en 1.4 sans trop de difficulté.

Méthode :

  • sauvegarde des fichiers DLL.XML et EXE.XML
  • désinstallation de la 1.3
  • renommage du dossier PREPAR3D ne contenant plus que les fichiers des addons.
  • installation de la 1.4 dans un nouveau dossier.
  • exécution de la version 1.4 (sans addon), petit test et réglage des options.
  • Copie/coller de tout le contenu de l’ancien dossier dans le nouveau dossier P3D : avions, modules et scènes ajoutés.
  • ajout des anciens fichiers DLL.XML et EXE.XML
  • déclaration des scènes et petite défragmentation du DD au cas où.

Cette méthode a très bien fonctionné je n’ai pas eu besoin de réinstaller les addons. La désinstallation de la version 1.3 était donc propre et n’as pas corrompu les fichiers des addons.

Pour ce qui est des perfs il m’a semblé un léger mieux dans la version 1.4 par défaut que lors de la première exécution de la version 1.3. Du coup cette fois, je n’ai pas modifié le fichier config.[/quote]


(Richard) #4

Y en a qui ont fait comme ça et ils ont crashé leur v2. Ce n’est pas pour rien qu’ici et là on dresse des listes de compatibilité entre FSX/P3D1 et P3D2


#5

Jusqu’à maintenant tous les essais de scènes et d’addons qu’on a fait n’ont jamais “crasher” la v2, il y a des scènes et des avions qui fonctionnent mal en effet et de fait ne sont pas compatibles, c’est différent. Après les versions instables de P3D sont souvent liées à ceux qui trafiquent les fichiers de configs, ce qui ne faut surtout pas faire dans P3D quelque soit la version.

Après comme je le dis c’est à tester, ça ne coûte rien et si ça ne marche pas, suffit de tout supprimer et réinstaller, ou simplement désinstaller les addons incompatibles au préalable.